CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > enGrid

Engrid 1.4 installation issue on Fedora 20 - VTK?

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree2Likes
  • 1 Post By wyldckat
  • 1 Post By wyldckat

Reply
 
LinkBack Thread Tools Display Modes
Old   May 22, 2014, 16:21
Default Engrid 1.4 installation issue on Fedora 20 - VTK?
  #1
Member
 
Gowain
Join Date: May 2014
Location: Ireland
Posts: 86
Rep Power: 4
eaglemckenna is on a distinguished road
Hi

I am trying to install engrid on a fedora 20 machine to use with openfoam and paraview; during the installation process the following error message appears in the terminal following the set environmental variables command:
the script is unable to detect the location of your vtk installation
please set the following variables manually
-VTKINCDIR
-VTKLIBDIR

I have tried to get around this but to no avail; I believe it is something to do with the VTK version my machine is running. Is there anyway to get around this as I need to use a mesh generator in the very near future?

kind regards
gowain
eaglemckenna is offline   Reply With Quote

Old   May 27, 2014, 08:56
Default
  #2
Senior Member
 
Elvis
Join Date: Mar 2009
Location: Sindelfingen, Germany
Posts: 585
Blog Entries: 5
Rep Power: 15
elvis will become famous soon enough
Hi,

did you try https://raw.github.com/enGits/engrid...1.4/build.bash with the famous build bash script,
or how did you proceed?


https://github.com/enGits/engrid/wik...D-Installation
elvis is offline   Reply With Quote

Old   May 27, 2014, 09:22
Default
  #3
Member
 
Gowain
Join Date: May 2014
Location: Ireland
Posts: 86
Rep Power: 4
eaglemckenna is on a distinguished road
Hi
I tried to install it via https://github.com/enGits/engrid/wik...D-Installation, building on a fedora system, at step four I get the error message:
the script is unable to detect the location of your vtk installation
please set the following variables manually
-VTKINCDIR
-VTKLIBDIR


I have not tried the build bash script as my machine is fedora 20 and it states it works for fedora 14,15,16and 17 only.

a colleague who is good with linux tried to fix the problem but concluded that my vtk was too recent for engrid..? what do you think?

thanks for reply
eaglemckenna is offline   Reply With Quote

Old   May 27, 2014, 17:12
Default
  #4
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,531
Blog Entries: 36
Rep Power: 97
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings to all!

I haven't had the chance to look into this myself, but given the feedback, I suspect that Fedora 20 does not provide VTK 5.8 or 5.10 and only provides VTK 6.0 or newer version.

If this is the case, then it is not possible to build enGrid 1.4 with VTK 6, at least not with the latest source code.
The master branch (aka enGrid 1.5-dev) does support VTK 6, but it's still in development. For more information on this, please see this post: http://www.cfd-online.com/Forums/eng...tml#post478085 post #5

To anyone reading this, do keep in mind that enGrid is open source code and anyone can contribute with code changes: https://github.com/enGits/engrid/wik...nGrid%27s-code - in other words, if anyone is willing to create a variant of enGrid 1.4 for VTK 6, feel free to do so and contribute!

Best regards,
Bruno
eaglemckenna likes this.
wyldckat is offline   Reply With Quote

Old   June 1, 2014, 06:36
Default
  #5
Member
 
Gowain
Join Date: May 2014
Location: Ireland
Posts: 86
Rep Power: 4
eaglemckenna is on a distinguished road
Hi
thanks for the above message. Have you any idea when the new version will be released? Also are there any other openSource mesh generators available?
thanks
g
eaglemckenna is offline   Reply With Quote

Old   June 12, 2014, 07:12
Default
  #6
Member
 
Gowain
Join Date: May 2014
Location: Ireland
Posts: 86
Rep Power: 4
eaglemckenna is on a distinguished road
Will EnGrid 1.4 work with UBUNTU 14.04LTS - I will change my OS to this if so!?
eaglemckenna is offline   Reply With Quote

Old   June 12, 2014, 07:36
Default
  #7
Senior Member
 
Elvis
Join Date: Mar 2009
Location: Sindelfingen, Germany
Posts: 585
Blog Entries: 5
Rep Power: 15
elvis will become famous soon enough
Hi,
I tried to compile on Debian-based "aptosid" (=bleeding edge debian) with vtk6 and did not succeed, before update to vtk 6 it was no Problem to compile

if you search for packages you see that saucy supports vtk 5.8(which compiles fine) but I do not see what 14.04 LTS "trusty" comes with
https://apps.ubuntu.com/cat/search/trusty/?q=vtk
https://apps.ubuntu.com/cat/search/saucy/?q=vtk
elvis is offline   Reply With Quote

Old   June 15, 2014, 08:24
Default
  #8
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,531
Blog Entries: 36
Rep Power: 97
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings to all!

Quote:
Originally Posted by eaglemckenna View Post
Will EnGrid 1.4 work with UBUNTU 14.04LTS - I will change my OS to this if so!?
It's possible, as explained here: engrid 1.4 installation problem on ubuntu 14.04

@Elvis: Ubuntu 14.04 (Trusty) has got Qt4, Qt5, VTK 5.8 and VTK 6.0. It can get a seriously confusing on how to build with each version.

Best regards,
Bruno
eaglemckenna likes this.
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
engrid 1.4 installation problem in openSUSE 12.3 and 13.1 taxalian enGrid 4 March 4, 2014 14:36
Installation of ANSYS CFX (v13) on Fedora creddy_trddc CFX 0 August 23, 2012 02:01
Issue installation OpenFOAM - libopen-rte.so.0 Voyage_gui OpenFOAM 1 August 12, 2011 03:46
OpenFOAM 1.7.1 installation problem on Fedora 14 armonica OpenFOAM Installation 16 March 31, 2011 13:16
Installation on Fedora 12 64-bit tonyuprm OpenFOAM Installation 2 September 26, 2010 01:33


All times are GMT -4. The time now is 16:04.